Bug 729815 - udev renaming eth0 to p33p1
Summary: udev renaming eth0 to p33p1
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: biosdevname
Version: 15
Hardware: i686
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Praveen K Paladugu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 22:21 UTC by Paul Bransford
Modified: 2011-10-17 09:36 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-17 09:36:11 UTC


Attachments (Terms of Use)

Description Paul Bransford 2011-08-10 22:21:58 UTC
I'm not sure if this is udev or the kernel at fault, or someone else entirely.

Kernel module atl1e is loading my ethernet device (only other network device is wireless) as eth0, and udev renames it to 'p331'. Device ID is: 1969:1026 (rev b0)

This upsets several programs that expect certain names, and is totally unexpected operation.

I unfortunately do not know how to drill down and discover exactly why udev is doing what it is doing.

Comment 1 Harald Hoyer 2011-08-11 07:43:57 UTC
can be turned off by adding "biosdevname=0" to the kernel command line

Comment 2 Peter Robinson 2011-10-17 09:36:11 UTC
(In reply to comment #0)
> I'm not sure if this is udev or the kernel at fault, or someone else entirely.

neither. Its this feature: https://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming

> Kernel module atl1e is loading my ethernet device (only other network device is
> wireless) as eth0, and udev renames it to 'p331'. Device ID is: 1969:1026 (rev
> b0)

It does the same on my netbook with this device but I've only seen issues with ekiga (long fixed).

> This upsets several programs that expect certain names, and is totally
> unexpected operation.

Well it should actually make no difference as the network device name should make no difference. Its a bug in the application, not the name of the network interface.

> I unfortunately do not know how to drill down and discover exactly why udev is
> doing what it is doing.

You can probably just remove the biosdevname package, but not sure if this is supported.


Note You need to log in before you can comment on or make changes to this bug.